<?php
	/** @var $this PlayerController */
?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Player</title>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.1/jquery.min.js"></script>
<style>
	body, ul, h4, p
	{
		margin: 0;
		padding: 0;
	}
	html, body
	{
		background: #202329;
	}
	* {
		-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	}

	*:focus
	{
		outline: none;
	}
	img
	{
		border: 0;
		margin-right: 8px;
	}
	div.clear
	{
		clear: both;
		height: 0;
	}
	a
	{
		text-decoration: none;
	}
	#player-outer-wrapper
	{
		margin: 0 auto;
		width: 390px;
		position: relative;
	}
	div.wrapper-controlls
	{

		background: #202329 url("images/bg.png") no-repeat;
		-webkit-box-shadow: 0px 5px 3px -2px rgba(0, 0, 0, 0.1);
		box-shadow: 0px 5px 3px -2px rgba(0, 0, 0, 0.1);
		position: absolute;
		top:0;
		width: 390px;
	}
	img.preview
	{
		background: url("%icon%") no-repeat center;
		-webkit-box-shadow: 0px 0px 2px 0px rgba(0, 0, 0, 0.2);
		box-shadow: 0px 0px 2px 0px rgba(0, 0, 0, 0.2);
		border: 1px solid #333;
		margin: 14px;
		float: left;
	}
	#log
	{
		color: #fff;
	}
	div.wrapper-inner
	{
		margin: 0 0 0 20px;
		padding: 14px 0;
		color: #ccc;
	}
	div.wrapper-inner div.title
	{
		font-size: 16px;
		font-weight: bold;
	}
	div.wrapper-inner div.time
	{
		font-size: 12px;
		padding: 4px 0;
	}
	div.controlls
	{
		background: url("images/controll-bg.png") no-repeat;
		position: relative;
		height: 60px;
		margin: 8px auto;
		width: 134px;
	}
	div.controlls a
	{
		position: absolute;
		outline: none;
	}
	div.controlls a img
	{
		margin: 0;
	}
	div.controlls a.prev
	{
		left: 4px;
		top: 15px;
	}
	div.controlls a.play,
	div.controlls a.pause
	{
		left: 39px;
		top: 5px;
	}
	div.controlls a.next
	{
		left: 94px;
		top: 15px;
	}
	div.tmp
	{
		display: none;
	}
	div.wrapper-playlist
	{
		padding: 160px 0 0;
	}
	ul
	{
		list-style: none;
		padding: 0 4px;
	}
	ul li
	{
		border-bottom: 1px dotted #444;
		padding: 4px 2px;
	}
	ul li a
	{
		color: #777;
		display: block;
		height: 20px;
		padding: 4px 6px;
		font-size: 16px;
		overflow: hidden;
		text-overflow: ellipsis;
		outline: none;
	}
	ul li a.active
	{
		color: #fff;
	}
	#loader
	{
		position: absolute;
		z-index: 1000;
		right: 10px;
		display: none;
		top: 128px;
	}
</style>
<script>

	jQuery(function($){

		var current  = $("div.wrapper-playlist a:eq(0)").length ?  $("div.wrapper-playlist a:eq(0)"): false;

		var timeOut = null;

		var paused = false;
		var inited = false;

		AudioPlayer.setOnLoadListener("onStart");
		AudioPlayer.setOnTrackFinishedListener("goNext");

		window.onStart = function()
		{
			paused = false;
			$("#loader").hide();
			setIconPuse();


			clearTimeout(updateTimer);
			updateTimer = setTimeout(updateTrackTime, 1000);
		}



		window.goNext = function()
		{
			current = (current.parent().next().length) ?
				current.parent().next().find('a') :
				$("div.wrapper-playlist a:eq(0)");

			setPlay();

		}


		var updateTimer = 0;

		function updateTrackTime() {
			var currTimeDiv = document.getElementById('currentTime');
			var durationDiv = document.getElementById('duration');

			var duration = Math.floor(AudioPlayer.getDuration()/1000).toString();
			var currTime = 0;
			if(duration != 0)
			{
				currTime = Math.floor(AudioPlayer.getCurrentPosition()/1000).toString();
			}

			currTimeDiv.innerHTML = formatSecondsAsTime(currTime);

			if (isNaN(duration) || duration == 'NaN:NaN'){
				durationDiv.innerHTML = '00:00';
			}
			else{
				durationDiv.innerHTML = formatSecondsAsTime(duration);
			}

			clearTimeout(updateTimer);
			updateTimer = setTimeout(updateTrackTime, 1000);
		}



		function formatSecondsAsTime(secs, format) {
			var hr  = Math.floor(secs / 3600);
			var min = Math.floor((secs - (hr * 3600))/60);
			var sec = Math.floor(secs - (hr * 3600) -  (min * 60));

			if (min < 10){
				min = "0" + min;
			}
			if (sec < 10){
				sec  = "0" + sec;
			}

			var t = min + ':' + sec;

			return t == 'NaN:NaN' ? '00:00' : t ;
		}


		if(current)
		{
			$("div.wrapper-inner div.title").text(current.text());
		}

		function setPlay()
		{
			if(!current)
			{
				return false;
			}

			$("div.wrapper-playlist a.active").removeClass('active');

			$("#loader").show();
			var src = current.attr("rel");
			AudioPlayer.play(src);
			$("div.wrapper-inner div.title").text(current.text());

			current.addClass('active');
			inited = true;
		}

		function setIconPuse()
		{
			$("a.play, a.pause").removeClass("play")
				.addClass('pause')
				.find('img')[0].src = "images/pause.png";
		}

		function setPause()
		{
			AudioPlayer.pause();
			paused = true;

			$("a.play, a.pause").removeClass("pause")
				.addClass('play')
				.find('img')[0].src = "images/play.png";
		}
		function goPrev()
		{
			current = (current.parent().prev().length) ?
				current.parent().prev().find('a') :
				$("div.wrapper-playlist a:last");

			setPlay();
		}

		$("a.play").live("click", function(){
			if(paused || !inited)
			{
				setIconPuse();
				if(inited)
				{
					AudioPlayer.resume();
				}
				else
				{
					setPlay();
				}
			}
			else
			{
				AudioPlayer.pause();
			}
		});

		$("a.pause").live("click", setPause);

		$('a.prev').live('click', goPrev);

		$('a.next').live('click', goNext);

		$("div.wrapper-playlist a").live("click", function(){
			current = $(this);
			setPlay();
		});

	});
</script>
</head>
<body>
<div id="player-outer-wrapper">
	<div class="tmp">
		<img src="images/pause.png">
	</div>
	<div class="wrapper-controlls">
		<div class="wrapper-inner">
			<div class="title"></div>
			<div class="time"><span id="currentTime">00:00</span>/<span id="duration">00:00</span></div>
			<div class="controlls">
				<a href="javascript:void(0);" class="prev">
					<img src="images/back.png" alt="prev" />
				</a>
				<a href="javascript:void(0);" class="play">
					<img src="images/play.png" alt="play" />
				</a>
				<a href="javascript:void(0);" class="next">
					<img src="images/next.png" alt="next" />
				</a>
			</div>
		</div>
		<img id="loader" src="images/ajax-loader.gif" />
		<div class="clear"></div>
	</div>
	<div class="wrapper-playlist">
		<ul>
			<?php $this->renderPartial("_li", array("model" => $this->getModel()))?>
		</ul>
	</div>
</div>
</body>
</html>